// $Id: CXslFile.h,v 1.2 2003/04/08 13:54:16 ta_muto Exp $
// The XSL Source Class

#ifndef __wax_CXslFile_h
#define __wax_CXslFile_h

#include <views/IXslSource.h>
#include <IReader.h>

namespace wax {
	class CXslFile : public IXslSource {
		IReader* reader;
		xsltStylesheetPtr stylesheet;
	public:
		CXslFile(IReader* initReader) { reader = initReader; stylesheet = NULL; }
		~CXslFile();
		
		xsltStylesheetPtr getXslDocument();
		bool retrieve();
	} ;
}

#endif
